### File

`src/lib/directives/test-ng-control.ts`

### Extends

`NgControl`

### Index

###### Methods
viewToModelUpdate
###### Accessors
control

### Constructor

`constructor(_control: AbstractControl)`
Defined in src/lib/directives/test-ng-control.ts:6
Parameters :
Name | Type | Optional
_control | `AbstractControl` | No

### Methods

viewToModelUpdate
`viewToModelUpdate(newValue: any)`
Defined in src/lib/directives/test-ng-control.ts:16
Parameters :
Name | Type | Optional
newValue | `any` | No
Returns : `void`

### Accessors

control
get `control()`
Defined in src/lib/directives/test-ng-control.ts:12

    import {
      AbstractControl,
      NgControl,
    } from '@angular/forms';

    export class TestNgControl extends NgControl {

      constructor(private readonly _control: AbstractControl) {
        super();
      }

      override get control(): AbstractControl<any, any> | null {
        return this._control;
      }

      override viewToModelUpdate(newValue: any): void {
        throw new Error('Method not implemented.');
      }

    }

# results matching ""

# No results matching ""